<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$res = array();

$sql = "SELECT  A.id as ID, A.id_elemento AS IDCON, A.descripcion AS DESCR, A.fecha AS FECHA ";
$sql .= ", (ST_X(ST_STARTPOINT(B.SHAPE)) + ST_X(ST_ENDPOINT(B.SHAPE))) / 2  AS XC  ";
$sql .= ", (ST_Y(ST_STARTPOINT(B.SHAPE)) + ST_Y(ST_ENDPOINT(B.SHAPE))) / 2  AS YC  ";
$sql .= "FROM log2 A INNER JOIN cat_tramos B ";
$sql .= "ON A.id_elemento = B.elemred ";
$sql .= "WHERE A.tipo_elemento = 'TRAMO'";


$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
                   'orden'=>$row['ID'],
                   'id'=>$row['IDCON'],
                   'xc'=>$row['XC'],
                   'yc'=>$row['YC'],
                   'descripcion'=>$row['DESCR'] . " - TRAMO",
                   'fecha'=>$row['FECHA']
                     );
           array_push($res,$elem);
        }
    }
}            


$sql = "SELECT  A.id AS ID, A.id_elemento AS IDCON, A.descripcion AS DESCR, A.fecha AS FECHA   ";
$sql .= ", ST_X(B.SHAPE)  AS XC   ";
$sql .= ", ST_Y(B.SHAPE)  AS YC   ";
$sql .= "FROM log2 A INNER JOIN cat_psingulares B  ";
$sql .= "ON A.id_elemento = B.elem_red  ";
$sql .= "WHERE A.tipo_elemento = 'PSINGULAR' ";


$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
              'orden'=>$row['ID'],
                   'id'=>$row['IDCON'],
                   'xc'=>$row['XC'],
                   'yc'=>$row['YC'],
                   'descripcion'=>$row['DESCR'] . " - PSINGULAR",
                   'fecha'=>$row['FECHA']
                     );
           array_push($res,$elem);
        }
    }
}  
$sql = "SELECT  A.id AS ID , A.id_elemento AS IDCON, A.descripcion AS DESCR, A.fecha AS FECHA  "; 
$sql .= ", (ST_X(ST_STARTPOINT(B.SHAPE)) + ST_X(ST_ENDPOINT(B.SHAPE))) / 2  AS XC ";  
$sql .= ", (ST_Y(ST_STARTPOINT(B.SHAPE)) + ST_Y(ST_ENDPOINT(B.SHAPE))) / 2  AS YC  "; 
$sql .= "FROM log2 A INNER JOIN cat_conex_capt B  ";
$sql .= "ON A.id_elemento = B.id ";
$sql .= "WHERE A.tipo_elemento = 'CONEX_CAPTA' ";


$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
              'orden'=>$row['ID'],
                   'id'=>$row['IDCON'],
                   'xc'=>$row['XC'],
                   'yc'=>$row['YC'],
                   'descripcion'=>$row['DESCR']  . " - CONEXION DE CAPTACION",
                   'fecha'=>$row['FECHA']
                     );
           array_push($res,$elem);
        }
    }
}  
$sql = "SELECT  A.id AS ID, A.id_elemento AS IDCON, A.descripcion AS DESCR, A.fecha  AS FECHA  ";
$sql .= ", ST_X(B.SHAPE)  AS XC  "; 
$sql .= ", ST_Y(B.SHAPE)  AS YC  "; 
$sql .= "FROM log2 A INNER JOIN cat_captaciones B  ";
$sql .= "ON A.id_elemento = B.elem_red ";
$sql .= "WHERE A.tipo_elemento = 'CAPTACION' ";


$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
              'orden'=>$row['ID'],
                   'id'=>$row['IDCON'],
                   'xc'=>$row['XC'],
                   'yc'=>$row['YC'],
                   'descripcion'=>$row['DESCR'] . " - CAPTACION",
                   'fecha'=>$row['FECHA']
                     );
           array_push($res,$elem);
        }
    }
}  

$sql = "SELECT  A.id AS ID, A.id_elemento AS IDCON, A.descripcion AS DESCR, A.fecha  AS FECHA  ";
$sql .= ", ST_X(ST_CENTROID(B.SHAPE))  AS XC  "; 
$sql .= ", ST_Y(ST_CENTROID(B.SHAPE))  AS YC  "; 
$sql .= "FROM log2 A INNER JOIN adm_proyectos B  ";
$sql .= "ON A.id_elemento = B.id ";
$sql .= "WHERE A.tipo_elemento = 'PROYECTO' ";
$resultado = mysqli_query($con,$sql);
if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
              'orden'=>$row['ID'],
                   'id'=>$row['IDCON'],
                   'xc'=>$row['XC'],
                   'yc'=>$row['YC'],
                   'descripcion'=>$row['DESCR']  . " - PROYECTO",
                   'fecha'=>$row['FECHA']
                     );
           array_push($res,$elem);
        }
    }
}  


$resultado = null;


usort($res, function($a, $b) {
  return $b['orden'] - $a['orden'];
});

$res=array_slice($res, 0, 200);  
mysqli_close($con);
echo json_encode($res);
?>